%global __requires_exclude typelib\\\(AppIndicator\\\)

Name:		gcdemu
Version:	2.1.1
Summary:	GTK+ based GUI for controlling CDEmu daemon
Release:	%mkrel 5
Source:		http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.bz2
Group:		Emulators
License:	GPLv2+
URL:		http://cdemu.sourceforge.net/
BuildArch:	noarch
BuildRequires:	python
BuildRequires:	libGConf2-devel
BuildRequires:	intltool
BuildRequires:	cmake
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)
# for cdemu daemon interface v3
Requires:	cdemu-daemon >= 1.5.0
Requires:	python-gi
Requires:	typelib(Notify) >= 0.7
Requires:	typelib(Gtk) >= 3.0

%description
This is gCDEmu, a Gtk+ based GUI for controlling CDEmu daemon. It is part of the
userspace-cdemu suite, a free, GPL CD/DVD-ROM device emulator for linux.

It provides a graphic interface that allows performing the key tasks related to
controlling the CDEmu daemon, such as loading and unloading devices, displaying
devices' status and retrieving/setting devices' debug masks.

In addition, it listens to signals emitted by CDEmu daemon and provides
notifications via libnotify.

%prep
%setup -q

%build
%cmake
%make

%install
pushd build
%makeinstall_std
popd

%find_lang %name

%pre
# drop previously used schema file, from %%preun_uninstall_gconf_schemas:
if [ -e %{_sysconfdir}/gconf/schemas/gcdemu.schemas -a -x %{_gconftool_bin} ]; then
	GCONF_CONFIG_SOURCE=`%{_gconftool_bin} --get-default-source` %{_gconftool_bin} --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gcdemu.schemas > /dev/null || true
fi

%files -f %name.lang
%doc README AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*.svg
%{_datadir}/glib-2.0/schemas/net.sf.cdemu.gcdemu.gschema.xml


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-5.mga5
+ Revision: 750293
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.1-4.mga5
+ Revision: 679440
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Tue Oct 22 2013 umeabot <umeabot> 2.1.1-3.mga4
+ Revision: 544333
- Mageia 4 Mass Rebuild

* Sat Oct 19 2013 wally <wally> 2.1.1-2.mga4
+ Revision: 534213
- add requires exception for 'typelib(AppIdicator)'
- drop some requires which are autogenerated

* Tue Oct 15 2013 anssi <anssi> 2.1.1-1.mga4
+ Revision: 499507
- new version 2.1.1

* Fri Jan 11 2013 umeabot <umeabot> 2.0.0-2.mga3
+ Revision: 351103
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 mitya <mitya> 2.0.0-1.mga3
+ Revision: 335804
- New version 2.0.0

* Tue Mar 06 2012 anssi <anssi> 1.5.0-1.mga2
+ Revision: 220446
- new version 1.5.0
- adapt dependencies for new GObject bindings
- add typelib dependencies manually to workaround mgabz#4825
- new version
  o now a standalone application instead of GNOME applet
    (summary, description, dependencies, and file list updated accordingly)

* Mon Jan 17 2011 pterjan <pterjan> 1.3.0-4.mga1
+ Revision: 21329
- Rebuild for python 2.7

* Sun Jan 16 2011 anssi <anssi> 1.3.0-3.mga1
+ Revision: 20061
- remove old post script
- run schemas script in preun
- imported package gcdemu


* Sun Nov 07 2010 Jani Välimaa <wally@mandriva.org> 1.3.0-2mdv2011.0
+ Revision: 594780
- rebuild for python 2.7

* Sat Sep 04 2010 Anssi Hannula <anssi@mandriva.org> 1.3.0-1mdv2011.0
+ Revision: 575787
- new version
- bump requirement on cdemu-daemon due to bus switch

* Thu Dec 03 2009 Funda Wang <fwang@mandriva.org> 1.2.0-1mdv2010.1
+ Revision: 472925
- new version 1.2.0

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 1.1.0-2mdv2010.0
+ Revision: 437657
- rebuild

* Tue Jan 27 2009 Guillaume Bedot <littletux@mandriva.org> 1.1.0-1mdv2009.1
+ Revision: 333932
- Release 1.1.0

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 1.0.0-1.svn300.2mdv2009.1
+ Revision: 324193
- rebuild

* Wed Apr 23 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.svn300.1mdv2009.0
+ Revision: 197018
- initial Mandriva release

